DocumentationAPI ReferenceContact UsGet Started
Introduction

Affiliates

List affiliates GETGet affiliate GETCreate affiliate POSTUpdate affiliate PUT

Campaigns

List campaigns GETGet campaign GETCreate campaign POSTUpdate campaign PUT

Referrals

List referrals GETCreate referral POST

Commissions

List commissions GETGet commission GETCreate commission POST

Payouts

List payouts GETGet payout GET
Campaigns

Update campaign

Updates an existing campaign.

PUT
/campaigns/{id}

Authorization

Authorization
Required
Bearer <token>

In: header

Request Body

application/jsonRequired

namestring

commission_typestring

Value in: "percentage" | "fixed"

commission_amountnumber

code_modestring

Value in: "link" | "coupon" | "both"

website_urlstring

reference_couponstring

is_defaultboolean

Path Parameters

id
Required
string

Format: "uuid"

Previous

Create campaign POST

Next

List referrals GET

/campaigns/{id}

The Authorization access token

API key authentication. Use your API key as the bearer token.

Referral code mode. "link" creates affiliate links, "coupon" creates promo codes, "both" creates both.

Campaign website URL. Required when code_mode is "link" or "both".

Stripe coupon ID for the campaign. Required when code_mode is "coupon" or "both".

Resource UUID

Campaign updated

curl -X PUT "https://www.promotekit.com/api/v1/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "commission_type": "percentage",
    "commission_amount": 0,
    "code_mode": "link",
    "website_url": "string",
    "reference_coupon": "string",
    "is_default": true
  }'
{
  "success": true,
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "website_url": "string",
    "commission_type": "percentage",
    "commission_amount": 0,
    "is_default": true,
    "limit_type": "string",
    "limit_amount": 0,
    "code_mode": "link",
    "reference_coupon": "string",
    "custom_commission_type": "string",
    "welcome_message": "string",
    "approval_needed": true,
    "collect_details": true,
    "details_text": "string",
    "hide_emails": true,
    "dashboard_text": "string",
    "cookie_duration": 0,
    "first_payment_commission": {
      "enabled": true,
      "type": "string",
      "amount": 0
    }
  }
}